<?

switch(htmlspecialchars(trim($_GET['case']))){
	case 'new_review':
include 'system/sys.php';
include 'system/funcs.php';
H ('Оповещения', 'Оповещения');
		if(isset($_GET['new'])){
		$name = htmlspecialchars(trim($_POST['name']));
		$text = htmlspecialchars(trim($_POST['text']));
		$mark = htmlspecialchars(trim($_POST['mark']));
		if(empty($name)) $error = 'Введите имя!';
		elseif(empty($text)) $error = 'Введите отзыв';
		if(!$error){
			mysql_query("INSERT INTO `reviews` (`name`,`text`,`mark`,`time`) VALUES ('".$name."', '".$text."', '".$mark."', '".time()."')");
			echo 'Отзыв добавлен!';
			exit;
		}else{
			echo $error;
		}
	}
	?>
	<center><form action="?new" method="post">
	Имя:<br/>
	<input type="text" name="name"><br/>
	Отзыв:<br/>
	<textarea name="text"></textarea><br/>
	Оценка:<br/>
	<select name="mark">
	<option value="0">Ужасно</option>
	<option value="1">Плохо</option>
	<option value="2">Средне</option>
	<option value="3">Хорошо</option>
	<option value="4">Отлично</option>
	</select><br/>
	<input type="submit" name="new" value="Отправить"></form><br/>
	<a href="/reviews">Все отзывы</a></center>
	<?
	//footer//
	break;
	
	case 'reviews':
	//sys//
	//header//
	$reviewQ = mysql_query("SELECT * FROM `reviews`");
	$reviewtype = array('Ужасно', 'Плохо', 'Средне', 'Хорошо', 'Отлично');
	while($review = mysql_fetch_assoc($reviewQ)){
		?>
		<strong>Имя: <?=$review['name']?></strong><br/>
		<small><?=$review['text']?></small><br/>
		Оценка: <?=$reviewtype[$review['mark']]?><br/>
		Время добавления: <?=$review['time']?>
		<?
	}
	echo '<a href="/new_review">Новый отзыв</a>';
	//footer//
	break;
}

?>